<?PHP
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = '../index.php';
		</script>
		<? 
		exit();
		}
$id_empresa = $_SESSION['ss_empresa'];
$id_user = $_SESSION['ss_user'];

include("../conex.php");
/********************************** Datos Empresa ****************** seleccionar cual empresa  es el ingreso  en ssesion******/
	$sql_empresa = "SELECT * FROM empresa WHERE id=$id_empresa;";
	$res_empresa = mysql_query($sql_empresa,$enlace);
	$row=0;
	while (mysql_fetch_object ($res_empresa))
		{
		$empresa_rut=mysql_result($res_empresa, $row, "rut_empresa");
		$empresa_rut = str_replace('.', '', $empresa_rut);
		$sitio_empresa=mysql_result($res_empresa, $row, "sitio_empresa");
        $ip_empresa=mysql_result($res_empresa, $row, "ip_empresa");	
		}
//*********************************************************************************************************
  
 
  $num_resp=53;
     
  $archivo=substr ($archivo,13);  // viene de muestra_dte
   
//****  genera XML   LIBRO COMPRA*******

$xml=new DomDocument("1.0", "UTF-8");
 $raiz=$xml->createElement("Resultado");
 $raiz=$xml->appendChild($raiz); 
 $raiz->setAttribute("ID", "RECEP-".$num_resp);

  /*--Caratula -------------------------*/
    $Caratula=$xml->createElement("Caratula");
    $Caratula=$raiz->appendChild($Caratula); 
    $Caratula->setAttribute("version", "1.0");
	 
    $RutResponde=$xml->createElement("RutResponde", $empresa_rut);
    $RutResponde=$Caratula->appendChild($RutResponde); 

	$RutRecibe=$xml->createElement("RutRecibe", $emisor);
    $RutRecibe=$Caratula->appendChild($RutRecibe); 
	
	$IdRespuesta=$xml->createElement("IdRespuesta", $num_resp);
    $IdRespuesta=$Caratula->appendChild($IdRespuesta);

	$NroDetalles=$xml->createElement("NroDetalles", "1");
    $NroDetalles=$Caratula->appendChild($NroDetalles);
	
    $TmstFirmaResp=$xml->createElement("TmstFirmaResp", date('Y-m-d').'T'.date('H:i:s'));
    $TmstFirmaResp=$Caratula->appendChild($TmstFirmaResp);
	
	       
	//***************detalles *********		
		for ($i=0; $i<$cant; $i++)
	     {
		 
		if  ($sel[$i]==0)
		{
	  $ResultadoDTE=$xml->createElement("ResultadoDTE");
      $ResultadoDTE=$raiz->appendChild($ResultadoDTE); 
		 
		 $TipoDTE=$xml->createElement("TipoDTE", $TipoDTE_O[$i]);
    	 $TipoDTE=$ResultadoDTE->appendChild($TipoDTE);
		
		  $Folio=$xml->createElement("Folio", $nro[$i]);
    	 $Folio=$ResultadoDTE->appendChild($Folio);
		
		  $FchEmis=$xml->createElement("FchEmis", $fecha_emision[$i]);
    	 $FchEmis=$ResultadoDTE->appendChild($FchEmis);
		
		  $RUTEmisor=$xml->createElement("RUTEmisor",$rut_emisor[$i]);
    	 $RUTEmisor=$ResultadoDTE->appendChild($RUTEmisor);
		 
		  $RUTRecep=$xml->createElement("RUTRecep", $rut_receptor[$i]);
    	 $RUTRecep=$ResultadoDTE->appendChild($RUTRecep);		
		 
		  $MntTotal=$xml->createElement("MntTotal", $total[$i]);
    	 $MntTotal=$ResultadoDTE->appendChild($MntTotal);
		
		  $CodEnvio=$xml->createElement("CodEnvio", "53");
    	 $CodEnvio=$ResultadoDTE->appendChild($CodEnvio);
		 
		 $EstadoDTE=$xml->createElement("EstadoDTE", $sel[$i]);
    	 $EstadoDTE=$ResultadoDTE->appendChild($EstadoDTE);
		 		
		 $EstadoDTEGlosa=$xml->createElement("EstadoDTEGlosa","ACEPTADO OK");
    	 $EstadoDTEGlosa=$ResultadoDTE->appendChild($EstadoDTEGlosa);
	  }
	}
	//***************detalles *********		 
	
/*guardar xml--------------------------------*/ 
$archivo_x="RecepComercial_".$archivo;
$archivo="../LibFE/DOC/ORIGINAL/".$archivo_x;

 $xml->formatOut=true;
 $strings_xml=$xml->saveXML(); 


if($xml->save($archivo)) 
  {
  
  subirArchivo($archivo_x, $ip_empresa, $id_empresa, $sitio_empresa);	// cargar archivo
 
  echo("Termino de crear el ".$archivo.""); 
  }
 else
 {   echo("No se puede guardar el ".$archivo); }

 
 ?><title>Recepcion Archivo XML</title>
 
 <table width="640" border="0" align="center" cellpadding="0" cellspacing="0">
	<tr>
		<td width="10%" align="center">	<input type="button" name="Salir" value="Salir" onClick="fun_salir();"></td>
	</tr>
</table>




 <script>
function fun_salir()
	{
	window.top.open('','_parent','');window.top.close();		
	}
</script>


<?php 

/**
* Sube archivo usando cURL
* Pasa archivo por POST y lo recibe la variable global $_FILE.
* 
* La funcion retornará 0 o 1 desde el archivo receptor si:
* 0: La carga se ha completado
* 1: Se produjo algun error.
*/
function  subirArchivo($nombreArchivo,$ip_empresa,$emp,$sitio_empresa)
 {
	$handle = curl_init();
	curl_setopt($handle, CURLOPT_POST, true);
	//curl_setopt($handle, CURLOPT_POSTFIELDS, array('file' => '@'.$nombreArchivo));
	curl_setopt($handle, CURLOPT_URL, 'http://'.$ip_empresa.'/'.$sitio_empresa.'/LibFE/firmarDTE/PreparaRecepComercial.php?documento='.$nombreArchivo);
	curl_exec($handle);
	curl_close($handle);
}
?>